curl --request GET \
--url https://api.glassmarkets.io/v2/metrics/comparables/aggregate/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/metrics/comparables/aggregate/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/metrics/comparables/aggregate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}Get comparables data
Volume, depth, futures and chart data for comparing assets, in one call. sections picks table (per-pair values for the whole window: rows, volumes, depths, futures) and/or charts (mid_prices, volumes and depths series at chart_interval, depth at chart_bps). coverage lists the pairs in the table. interval must be a.
curl --request GET \
--url https://api.glassmarkets.io/v2/metrics/comparables/aggregate/ \
--header 'Authorization: <api-key>'import requests
url = "https://api.glassmarkets.io/v2/metrics/comparables/aggregate/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.glassmarkets.io/v2/metrics/comparables/aggregate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Query Parameters
Comma-separated asset symbols, e.g. BTC,ETH_PERP. Only assets of your organizations are allowed (see /v1/organizations/). Defaults to all of them.
100Comma-separated distances from the mid price, in basis points (1 bps = 0.01%), e.g. 0.5,1,2.
25Depth levels in bps for the charts. Defaults to bps.
251M- Aggregated in 1 month periods.1w- Aggregated in 1 week periods.1d- Aggregated in 1 day periods.4h- Aggregated in 4 hour periods.1h- Aggregated in 1 hour periods.30m- Aggregated in 30 minute periods.15m- Aggregated in 15 minute periods.5m- Aggregated in 5 minute periods.1m- Aggregated in 1 minute periods.c- Will return chart data using the biggest periods possible.
1M, 1w, 1d, 4h, 1h, 30m, 15m, 5m, 1m, c 1a- Will return the aggregate of the data for the specified time range.
a 1Relative window ending now. Can't be combined with time_start/time_end.
30-minutes- 30-minutes1-hour- 1-hour3-hours- 3-hours6-hours- 6-hours12-hours- 12-hours1-day- 1-day7-days- 7-days1-month- 1-month3-months- 3-months6-months- 6-months1-year- 1-year
30-minutes, 1-hour, 3-hours, 6-hours, 12-hours, 1-day, 7-days, 1-month, 3-months, 6-months, 1-year 1Days to include, as comma-separated week:day pairs such as this:1,last:5, or a JSON array of {"week", "day"} objects. week is this or last; day is 0 (Sunday) to 6 (Saturday).
Trading session to restrict the window to. Requires market_hours_days; can't be combined with time_start/time_end or lookback.
pre-market- pre-marketopening-bell- opening-bellmarket-hours- market-hoursclosing-bell- closing-bellafter-hours- after-hoursblue-ocean- blue-oceanweekend-hours- weekend-hours
pre-market, opening-bell, market-hours, closing-bell, after-hours, blue-ocean, weekend-hours 1Time zone of the market-hours sessions.
1100table- Tablecharts- Charts
table, charts Window end, ISO 8601. UTC when no offset is given.
Window start, ISO 8601. UTC when no offset is given.
Response
Object with coverage and the requested table and charts sections.

